package com.docus.server.sys.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.server.sys.common.pojo.dto.UserModifyParam;
import com.docus.server.sys.common.pojo.entity.PowerUser;

public interface IPowerUserDao extends IBaseDao<PowerUser> {

    PowerUser getUserByUserName(String userName);

    void addUser(UserModifyParam userModifyParam);

    void updateUser(UserModifyParam userModifyParam);

    void delUserByUserName(String userName);

}
